YouTube Video Sponsors API

Experimental: Find suspected sponsors/promoted brands for a YouTube video. This is inferred from public evidence, not an official YouTube sponsor field. Feedback welcome: support@scrapecreators.com

1 creditper request
GET
/v1/youtube/video/sponsors
curl "https://api.scrapecreators.com/v1/youtube/video/sponsors" \
  -H "x-api-key: "
{
  "video": {
    "id": "AVO0ifle-OU",
    "url": "https://www.youtube.com/watch?v=AVO0ifle-OU",
    "title": "Why You Should Meal Prep Like A Restaurant",
    "channel": {
      "id": "UC3vQEjRhwgH2HAOBKwLjxNA",
      "url": "https://www.youtube.com/@letsKWOOWK",
      "handle": "letsKWOOWK",
      "title": "KWOOWK"
    },
    "isPaidPromotion": true
  },
  "suspectedSponsors": [
    {
      "name": "Betterhelp",
      "website": "betterhelp.com",
      "confidence": "medium",
      "evidence": [
        {
          "source": "description_link",
          "text": "If you're struggling, consider therapy with our sponsor BetterHelp. Click https://betterhelp.com/KWOOWK for a 10% discount..."
        }
      ]
    }
  ],
  "sponsorDetection": {
    "status": "found",
    "methods": [
      "paid promotion badge",
      "description",
      "description links",
      "transcript"
    ],
    "transcriptAvailable": true,
    "note": "Sponsors are inferred from public description, links, promo-code text, and transcript evidence."
  }
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

YouTube video or short URL

Example:
https://www.youtube.com/watch?v=AVO0ifle-OU
language
string

2 letter language code used for transcript lookup, ie 'en', 'es', 'fr' etc.

Example:
en